exception when viewing differences on cvs

2008-06-13 22:44 - Peter Van den Bosch

Status: Closed Start date: 2008-06-13

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: SCM Estimated time: 0.00 hour

Target version: 0.7.2   

Resolution: Fixed Affected version:  

Description

Hi. Sometimes when viewing differences of a revision on a cvs repository, following exception shows up:

 TypeError in RepositoriesController#diff

can't convert nil into Array

RAILS_ROOT: /home/peter/Programmeren/aptanaworkspace/Redmine2

Application Trace | Framework Trace | Full Trace

app/models/repository/cvs.rb:79:in `+'

app/models/repository/cvs.rb:79:in `diff'

 The cause of the diff equal to nil is probably that diffing some files failed because they're binary. The error output on the console was

full of messages like:

cvs rdiff: failed to read diff file header /tmp/cvsGytOZS for squareInspector.tiff,v: end of file

cvs rdiff: failed to read diff file header /tmp/cvsAl72mL for squareMarker.tiff,v: end of file

cvs rdiff: failed to read diff file header /tmp/cvsoFBj1o for triangleInspector.tiff,v: end of fil

e

cvs rdiff: failed to read diff file header /tmp/cvseEAuFh for triangleMarker.tiff,v: end of file

 The exception can be reproduced by using following repository (rev 2 fails):

:pserver:anonymous@cvs.savannah.gnu.org/sources/gnuspeech

 Reproducible on both trunk (r1524) and 0.7.1

CVS client and server versions are 1.12.13

Associated revisions

Revision 1525 - 2008-06-14 12:51 - Jean-Philippe Lang

Fixed: unexpected nil when viewing differences on CVS (#1444).

History

#1 - 2008-06-14 12:46 - Jean-Philippe Lang

- Status changed from New to Closed

- Target version set to 0.7.2

- Resolution set to Fixed

Fixed in r1525.
